Doomsday Engine - Feature #1217

Controls for all supported games adjusted at the same time
2003-06-30 20:12 - droyd

Status: New Start date: 2003-06-30
Priority: Normal % Done: 0%
Assignee:

Category:

Target version: Input and game controllers

Description

It's really annoying to change the controls for every

game (hexen, heretic, doom)

It should be possible to adjust certain settings (strafe,

forward, left, right...) for all 3 games at the same time:

There should be a switch available in the config AND

controlsmenu which allows to do it for the running game

(Hexen, heretic, doom), OR for the whole engine (all

games)

Settings that are applicable for the whole engine should

be marked by a brighter colour

It should be possible to do this for settings like smooth

camera movement, sound volume etc as well...

Remember that the user somehow needs to have this as

an option by using the switch(a switchbutton switching

between doomsday/hexen logo, or any active game)

You could add the loge in the game dll

A better way then a switch button is more then welcome

| just can't think of one right now

Labels: User Interface

Related issues:

Related to Feature #1162: Global engine configuration Closed 2003-05-26
Related to Feature #1449: Setup bindings/controls via taskbar Ul Progressed 2007-06-07

History

#1 - 2003-07-02 18:11 - skyjake

Logged In: YES
user_id=717323

There will be no 'common’ controls for all the games at

this time. Perhaps later, when a common menu system is

in place, this would be a feature to think about. Right

now it would be too much work for too little benefit.

The latter part of the request is related to RFE 743562.

#2 - 2016-08-09 10:37 - skyjake

- Related to Feature #1449: Setup bindings/controls via taskbar Ul added

#3 - 2016-08-09 10:47 - skyjake

- Target version set to Input and game controllers
